<?php

/* DCMS Special
 * Дата последнего редактирования 07.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Настройки времени');
include_once H . 'sys/inc/thead.php';

err();
aut();


switch ((isset($_GET['m'])) ? htmlspecialchars($_GET['m']) : null) {
    default:
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings/'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Вид');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' action='view.php?m=saves' method='POST'>";

        echo "<small class='grey'>" . lang('Пунктов на страницу') . ":</small><br />";
        echo "<select name='set_p_str' class='custom-select'>";
        echo "<option value='5'" . ($user['set_p_str'] == 5 ? " selected='selected'" : null) . "> 5 " . lang('пунктов') . "</option>";
        echo "<option value='7'" . ($user['set_p_str'] == 7 ? " selected='selected'" : null) . "> 7 " . lang('пунктов') . "</option>";
        echo "<option value='10'" . ($user['set_p_str'] == 10 ? " selected='selected'" : null) . "> 10 " . lang('пунктов') . "</option>";

        if ($set['p_str_set'] == 1) {
            echo "<option value='15'" . ($user['set_p_str'] == 15 ? " selected='selected'" : null) . "> 15 " . lang('пунктов') . "</option>";
            echo "<option value='20'" . ($user['set_p_str'] == 20 ? " selected='selected'" : null) . "> 20 " . lang('пунктов') . "</option>";
            echo "<option value='25'" . ($user['set_p_str'] == 25 ? " selected='selected'" : null) . "> 25 " . lang('пунктов') . "</option>";
            echo "<option value='30'" . ($user['set_p_str'] == 30 ? " selected='selected'" : null) . "> 30 " . lang('пунктов') . "</option>";
        }

        echo "</select><br /><br />";

        $doc->Input('set_them_forum_num', 'Количество выводимых тем форума на главной', 3, "$user[set_them_forum_num]");
        $doc->Input('set_them_diary_num', 'Количество выводимых блогов на главной', 3, "$user[set_them_diary_num]");
        $doc->Input('set_chat_str', 'Количество выводимых сообщений чата на главной', 3, "$user[set_chat_str]");
        $doc->Checkbox('set_forum', 'Вывод тем форума на главной', 1, "" . ($user['set_forum'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_diary', 'Вывод блогов на главной', 1, "" . ($user['set_diary'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_files_include', 'Вывод файлов на главной', 1, "" . ($user['set_files_include'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_chat', 'Вывод сообщений из чата на главной', 1, "" . ($user['set_chat'] ? " checked='checked'" : null) . "");

        echo "<hr>";
        echo lang("Вид меню в профиле") . "<br />";
        $doc->Radio('set_profile', 'Плитка', 1, "" . ($user['set_profile'] == 1 ? " checked='checked'" : null) . "");
        $doc->Radio('set_profile', 'Список', 0, "" . ($user['set_profile'] == 0 ? " checked='checked'" : null) . "");

        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
        echo "</form>";

        break;

    case 'saves':

        if (isset($_POST['save'])) {
            if (isset($_POST['set_p_str']) && is_numeric($_POST['set_p_str']) && $_POST['set_p_str'] > 0 && $_POST['set_p_str'] <= $set['p_str_set'] == 1 ? 30 : 10) {
                $user['set_p_str'] = intval($_POST['set_p_str']);
                $set['p_str'] = $user['set_p_str'];
                $db->query("UPDATE `user` SET `set_p_str` = '$user[set_p_str]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Неправильное количество пунктов на страницу');
            }
            if (isset($_POST['set_chat_str']) && is_numeric($_POST['set_chat_str']) && $_POST['set_chat_str'] > 0 && $_POST['set_chat_str'] <= 100) {
                $user['set_chat_str'] = intval($_POST['set_chat_str']);
                $db->query("UPDATE `user` SET `set_chat_str` = '" . $user['set_chat_str'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            } else {
                $err[] = lang('Неправильное количество сообщений чата на страницу');
            }
            if (isset($_POST['set_them_forum_num']) && is_numeric($_POST['set_them_forum_num']) && $_POST['set_them_forum_num'] > 0 && $_POST['set_them_forum_num'] <= 10) {
                $user['set_them_forum_num'] = intval($_POST['set_them_forum_num']);
                $db->query("UPDATE `user` SET `set_them_forum_num` = '" . $user['set_them_forum_num'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            } else {
                $err[] = lang('Неправильное количество тем форума');
            }
            if (isset($_POST['set_them_diary_num']) && is_numeric($_POST['set_them_diary_num']) && $_POST['set_them_diary_num'] > 0 && $_POST['set_them_diary_num'] <= 10) {
                $user['set_them_diary_num'] = intval($_POST['set_them_diary_num']);
                $db->query("UPDATE `user` SET `set_them_diary_num` = '" . $user['set_them_diary_num'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
            } else {
                $err[] = lang('Неправильное количество блогов');
            }


            if (isset($_POST['set_profile']) && ($_POST['set_profile'] == 1 || $_POST['set_profile'] == 0)) {
                $user['set_profile'] = intval($_POST['set_profile']);
                $db->query("UPDATE `user` SET `set_profile` = '$user[set_profile]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Ошибка вида меню');
            }

            #Смысла фильтровать не вижу
            $user['set_chat'] = (isset($_POST['set_chat']) && $_POST['set_chat']) ? '1' : '0';
            $db->query("UPDATE `user` SET `set_chat` = '" . $user['set_chat'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_forum'] = (isset($_POST['set_forum']) && $_POST['set_forum']) ? '1' : '0';
            $db->query("UPDATE `user` SET `set_forum` = '" . $user['set_forum'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_diary'] = (isset($_POST['set_diary']) && $_POST['set_diary']) ? '1' : '0';
            $db->query("UPDATE `user` SET `set_diary` = '" . $user['set_diary'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $user['set_files_include'] = (isset($_POST['set_files_include']) && $_POST['set_files_include']) ? '1' : '0';
            $db->query("UPDATE `user` SET `set_files_include` = '" . $user['set_files_include'] . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");

            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: view.php" . SID);
            exit;
        }

        break;
}

include_once H . 'sys/inc/tfoot.php';
